Skip to content
Start here

Discovery

Retrieve discovered operations on a zone rendered as OpenAPI schemas
client.apiGateway.discovery.get(DiscoveryGetParams { zone_id } params, RequestOptionsoptions?): DiscoveryGetResponse { schemas, timestamp }
GET/zones/{zone_id}/api_gateway/discovery
ModelsExpand Collapse
DiscoveryOperation { id, endpoint, host, 5 more }
id: string

UUID.

maxLength36
minLength36
endpoint: string

The endpoint which can contain path parameter templates in curly braces, each will be replaced from left to right with {varN}, starting with {var1}, during insertion. This will further be Cloudflare-normalized upon insertion. See: https://developers.cloudflare.com/rules/normalization/how-it-works/.

formaturi-template
maxLength4096
host: string

RFC3986-compliant host.

formathostname
maxLength255
last_updated: string
formatdate-time
method: "GET" | "POST" | "HEAD" | 6 more

The HTTP method used to access the endpoint.

One of the following:
"GET"
"POST"
"HEAD"
"OPTIONS"
"PUT"
"DELETE"
"CONNECT"
"PATCH"
"TRACE"
origin: Array<"ML" | "SessionIdentifier" | "LabelDiscovery">

API discovery engine(s) that discovered this operation

One of the following:
"ML"
"SessionIdentifier"
"LabelDiscovery"
state: "review" | "saved" | "ignored"

State of operation in API Discovery

  • review - Operation is not saved into API Shield Endpoint Management
  • saved - Operation is saved into API Shield Endpoint Management
  • ignored - Operation is marked as ignored
One of the following:
"review"
"saved"
"ignored"
features?: Features { traffic_stats }
traffic_stats?: TrafficStats { last_updated, period_seconds, requests }
last_updated: string
formatdate-time
period_seconds: number

The period in seconds these statistics were computed over

requests: number

The average number of requests seen during this period

formatfloat
DiscoveryGetResponse { schemas, timestamp }
schemas: Array<unknown>
timestamp: string
formatdate-time

DiscoveryOperations

Retrieve discovered operations on a zone
client.apiGateway.discovery.operations.list(OperationListParams { zone_id, diff, direction, 8 more } params, RequestOptionsoptions?): V4PagePaginationArray<DiscoveryOperation { id, endpoint, host, 5 more } >
GET/zones/{zone_id}/api_gateway/discovery/operations
Patch discovered operation
client.apiGateway.discovery.operations.edit(stringoperationId, OperationEditParams { zone_id, state } params, RequestOptionsoptions?): OperationEditResponse { state }
PATCH/zones/{zone_id}/api_gateway/discovery/operations/{operation_id}
Patch discovered operations
client.apiGateway.discovery.operations.bulkEdit(OperationBulkEditParams { zone_id, body } params, RequestOptionsoptions?): OperationBulkEditResponse { state }
PATCH/zones/{zone_id}/api_gateway/discovery/operations
ModelsExpand Collapse
OperationEditResponse { state }
state?: "review" | "saved" | "ignored"

State of operation in API Discovery

  • review - Operation is not saved into API Shield Endpoint Management
  • saved - Operation is saved into API Shield Endpoint Management
  • ignored - Operation is marked as ignored
One of the following:
"review"
"saved"
"ignored"
OperationBulkEditResponse = Record<string, item>
state?: "review" | "ignored"

Mark state of operation in API Discovery

  • review - Mark operation as for review
  • ignored - Mark operation as ignored
One of the following:
"review"
"ignored"